Subject: bug#19028: [PATCH] grep: fix grep -F -x -o outputs extra newlines

From: Norihiro Tanaka <[email-masked]>
Date: Sat, 15 Nov 2014 07:46:51 +0900

On Fri, 14 Nov 2014 08:32:46 -0800
Jim Meyering <[email-masked]> wrote:
> Thanks. However, that new test would never run, because the new file's
> name was not listed in tests/Makefile.am.  I added it, and changed the
> test script to merge two loops (avoiding some duplication) and
> improved comments (this also affects 2.19). I also tracked down the
> commit that introduced the problem and listed it in the commit log,
> and mentioned in NEWS that both 2.19 and 2.20 were affected. I changed
> the commit log to provide more detail: this is important, especially
> for a bug fix.  Simply saying "fixed the bug" does not help the reader
> understand.  One must say how/why the code failed, and/or what changed
> to make it work, especially when the change is nontrivial.

Thanks a lot for the adjustment.  I understood that you said, and I agree
that you changed.